from sys import argv, stdin, exit
from re import match

assert len(argv)==3, "correct usage: python3 %s our_output contestants_output" % argv[0]

our_output_tokens = open(argv[1],'r').read().split()

try:
    their_output_tokens = open(argv[2],'r').read().split()
except:
    print("Wrong answer: Failed to parse the submission (binary file?)")
    exit(1)

def median(a, b, c):
    if a > b: a, b = b, a
    if a > c: a, c = c, a
    if b > c: b, c = c, b
    return b

def f1(n): return (-n*n*n + 947*n*n + 20647474747*n + 47) // 20000000047

def f2(n): return (-n*n + 2084747*n + 47) // 2494747

def f3(n): return (-n*n*n + 19647*n*n + 23254474747*n - 25384747*(n%97)*n + 47 ) // 25382294747

try:
    assert len(their_output_tokens) > 0, "Wrong answer: Your output file was empty."
    
    try:
        n = int( their_output_tokens[0] )
    except:
        assert False, "Wrong answer: The first token in your output should be the length of the array."

    assert n+1 == len(their_output_tokens), "Wrong answer: The length of the array does not match the number of array elements you provided."

    try:
        A = [ int(x) for x in their_output_tokens[1:] ]
    except:
        assert False, "Wrong answer: All array elements must be integers."

    for a in A: assert 0 <= a < 2**32, "Wrong answer: All array elements must be valid 32-bit unsigned integers."

    assert int(our_output_tokens[0]) == n, "Wrong answer: The array in your output is not a correct answer."
    
    a = median( 0, n-1, f1(n) )
    b = median( 0, n-1, f2(n) )
    c = median( 0, n-1, f3(n) )
    
    B = A[:a]
    B.sort()
    A = B + A[a:]

    B = A[-b:]
    B.sort()
    A = A[:-b] + B

    B = A[:c]
    B.sort()
    A = B + A[c:]

    B = A.copy()
    B.sort()
    assert A != B, "Wrong answer: The array in your output is not a correct answer."

except Exception as error_message:
    print(error_message)
    exit(1)

print("OK")
